import { defineComponent as l, createElementBlock as n, openBlock as o, renderSlot as t, createElementVNode as a, toDisplayString as i, createVNode as r } from "vue";
import s from "./IsActiveStatusCell-DlvB6_E-.mjs";
const c = { class: "d-flex align-center" }, u = /* @__PURE__ */ l({
  __name: "ActivableTitle",
  props: {
    title: {},
    active: { type: Boolean }
  },
  setup(p) {
    return (e, m) => (o(), n("div", c, [
      t(e.$slots, "title", {}, () => [
        a("span", null, i(e.title), 1)
      ]),
      t(e.$slots, "default", {}, () => [
        r(s, {
          "cell-value": e.active,
          variant: "mini",
          class: "ml-2 pr-2"
        }, null, 8, ["cell-value"])
      ])
    ]));
  }
});
export {
  u as _
};
